import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class AdaptiveAppBar extends StatelessWidget {
  const AdaptiveAppBar({
    Key? key,
    required this.title,
    this.showTitleMaterial = false,
    this.materialLeading,
    this.actions,
  }) : super(key: key);

  final Widget title;
  final bool showTitleMaterial;
  final Widget? materialLeading;
  final List<Widget>? actions;

  @override
  Widget build(BuildContext context) {
    final _isCupertino = Platform.isIOS || Platform.isMacOS;

    if (_isCupertino) {
      return CupertinoSliverNavigationBar(
        largeTitle: title,
        trailing: (actions != null)
            ? Row(
                mainAxisSize: MainAxisSize.min,
                children: actions!,
              )
            : null,
      );
    }
    
    return AppBar(
      leading: materialLeading,
      title: showTitleMaterial ? title : null,
      actions: actions,
    );
  }
}
